#sccs	"@(#)adminbin:Fcopy.sh	1.5"


# -------------------------------------------------------------------------
#                                                                Fcopy.sh
# PURPOSE: Copy a floppy disk using the fc function
# CALLED BY: Floppy object file in /usr/lib/ua
# -------------------------------------------------------------------------



ERROR1="You have a disk mounted already!\n\nPossible reasons: you have another Floppy window opened or you did a 'mount' on the system.Please dismount the floppy disk by closing the 'Floppydisk' window or issue a 'dismount -f' in the 'Unix' window before attempting this operation."


TERMCAP=
export TERMCAP
umask 022

DEVNUM=`mount | wc -l | cut -c7-7`
if [ "$DEVNUM" != "1" ]
then
	clear
	message -cu $ERROR1
	exit
fi


GO=1
while [ "$GO" = 1 ]
do
	GO=0
	##  wfc creates its own windows for input/output
	/usr/bin/wfc
	if [ "$?" != "0" ]
	then
		message -c "Cannot copy floppy disk.  Possible reasons include: destination disk has silver write-protect tab on it (remove tab);the floppy is unformatted; a disk is not inserted or is inserted improperly; latch is not closed; or the source disk is unreadable. Please remove the floppy diskette and start over."
		if [ $? != "0" ] 
		then 
			dismount -f > /dev/null 2>&1
			exit 
		fi
		clear
		GO=1
	fi
done

# -------------------------------------------------------------------------
#  EXECUTABLE PROGRAM ENDS HERE                                  Fcopy.sh
# =========================================================================
