#sccs	"@(#)adminbin:Showsoft.sh	1.1"
#                                                              Showsoft.sh
# PURPOSE: List nstalled software
# CALLED BY: /usr/lib/ua/Software
# REQUIRED FILES: Showsoft.menu
# ------------------------------------------------------------------------

ERROR1="An error has been encountered in the menu file Showsoft.menu\n  Please notify AT&T User Support.  Thank you."
ERROR2="There are currently no software applications installed.\n\n  Press Enter to continue."
ERROR3="The command provided was not recognized.\nPlease use Enter, Cancel, or a defined function key."
TERMCAP=
export TERMCAP
umask 022
CONTENTS=/usr/installed/CONTENTS
INDIR=/usr/installed

if [ \( ! -r $CONTENTS \) -o \( ! -s $CONTENTS \) ]
then
	message -iu $ERROR2
	exit
fi

# Execute the menu

while true
do
	RET=`shform -u $UA/Showsoft.menu`
	if [ "$?" != "0" ]
	then
		message  $ERROR1
		exit
	fi

	eval set $RET

	if [ "$1" = "Help" ]
	then
		/usr/bin/uahelp -h $UA/admin.hlp -t "Show Software"
	else
		exit
	fi
	clear
done
# ========================================================================
