#sccs	"@(#)inchead:sgs.h	1.2"


#define	SGS	""

/*	The symbol MC68MAGIC is defined in filehdr.h	*/


#ifdef mc68k
#define SLARMAG ""		/* no shared libs in mega...yet  tc */
#endif

#ifndef mc68k
#define MAGIC	MC68MAGIC
#else
/*
 * default the 'magic' number
 * to a 'paged' executable
 */
#define MAGIC	MC68KPGMAGIC
#endif

#define TVMAGIC (MAGIC+1)

#ifndef mc68k
#define ISMAGIC(x)	((((unsigned short)x)==(unsigned short)MAGIC)||(((unsigned short)x)==(unsigned short)TVMAGIC))
#else
#define ISMAGIC(x)	((((unsigned short)x)==(unsigned short)MC68KWRMAGIC)|| \
			(((unsigned short)x)==(unsigned short)MC68KROMAGIC)|| \
			(((unsigned short)x)==(unsigned short)MC68KPGMAGIC))
#endif


#ifdef ARTYPE
#define	ISARCHIVE(x)	((unsigned short) x == (unsigned short) ARTYPE)
#define BADMAGIC(x)	((((x) >> 8) < 7) && !ISMAGIC(x) && !ISARCHIVE(x))
#else
#define	BADMAGIC(x)	((((x) >> 8) < 7) && !ISMAGIC(x))
#endif


/*
 *	When a UNIX aout header is to be built in the optional header,
 *	the following magic numbers can appear in that header:
 *
 *		AOUT1MAGIC : default : readonly sharable text segment
 *		AOUT2MAGIC :	      : one segment is generated
 *					(writable text)
 *		AOUT3MAGIC :	      : paging configuration
 */

#define AOUT1MAGIC 0410
#define AOUT2MAGIC 0407
#define AOUT3MAGIC 0413

#define	SGSNAME	""
#define RELEASE ""

#ifdef mc68k
/*
 * name of the environment var which
 * describes the C environment
 */
#define CENV	"CENVIRON"
#endif
