/**********************************************************\
* Bugs : a bit-mapped arcade game for the AT&T UNIX PC.    *
*                                                          *
* By : Hans Jespersen                                      *
*                                                          *
\**********************************************************/

#include "bugs.h"

defsprites()
{
        /* define bugs */

        bug[0][0]  = 0x0000;	/* ---- ---- ---- ---- */
        bug[0][2]  = 0x001f;	/* ---- ---- ---# #### */
        bug[0][4]  = 0x001f;	/* ---- ---- ---# #### */
        bug[0][6]  = 0x001f;	/* ---- ---- ---# #### */
        bug[0][8]  = 0x003c;	/* ---- ---- --## ##-- */
        bug[0][10] = 0x0078;	/* ---- ---- -### #--- */
        bug[0][12] = 0x00f0;	/* ---- ---- #### ---- */
        bug[0][14] = 0x03e0;	/* ---- --## ###- ---- */
        bug[0][16] = 0xff80;	/* #### #### #--- ---- */
        bug[0][18] = 0xffc0;	/* #### #### ##-- ---- */
        bug[0][20] = 0xffe0;	/* #### #### ###- ---- */
        bug[0][22] = 0xfff0;	/* #### #### #### ---- */
        bug[0][24] = 0xf8f0;	/* #### #--- #### ---- */
        bug[0][26] = 0xf070;	/* #### ---- -### ---- */
        bug[0][28] = 0xf470;	/* #### -#-- -### ---- */
        bug[0][30] = 0xf070;	/* #### ---- -### ---- */
        bug[0][32] = 0xfff0;	/* #### #### #### ---- */
        bug[0][34] = 0xfff0;	/* #### #### #### ---- */
        bug[0][36] = 0xfff8;	/* #### #### #### #--- */
        bug[0][38] = 0xfffc;	/* #### #### #### ##-- */
        bug[0][40] = 0x001f;	/* ---- ---- ---# #### */
        bug[0][42] = 0x000f;	/* ---- ---- ---- #### */
        bug[0][44] = 0x000f;	/* ---- ---- ---- #### */
        bug[0][46] = 0x001f;	/* ---- ---- ---# #### */

        bug[0][1]  = 0x0000;	/* ---- ---- ---- ---- */
        bug[0][3]  = 0x0f80;	/* ---- #### #--- ---- */
        bug[0][5]  = 0x0f80;	/* ---- #### #--- ---- */
        bug[0][7]  = 0x0f80;	/* ---- #### #--- ---- */
        bug[0][9]  = 0x03c0;	/* ---- --## ##-- ---- */
        bug[0][11] = 0x01e0;	/* ---- ---# ###- ---- */
        bug[0][13] = 0x00f0;	/* ---- ---- #### ---- */
        bug[0][15] = 0x007c;	/* ---- ---- -### ##-- */
        bug[0][17] = 0x001f;	/* ---- ---- ---# #### */
        bug[0][19] = 0x003f;	/* ---- ---- --## #### */
        bug[0][21] = 0x007f;	/* ---- ---- -### #### */
        bug[0][23] = 0x00ff;	/* ---- ---- #### #### */
        bug[0][25] = 0x00f1;	/* ---- ---- #### ---# */
        bug[0][27] = 0x00e0;	/* ---- ---- ###- ---- */
        bug[0][29] = 0x00e2;	/* ---- ---- ###- --#- */
        bug[0][31] = 0x00e0;	/* ---- ---- ###- ---- */
        bug[0][33] = 0x00ff;	/* ---- ---- #### #### */
        bug[0][35] = 0x00ff;	/* ---- ---- #### #### */
        bug[0][37] = 0x01ff;	/* ---- ---# #### #### */
        bug[0][39] = 0x03ff;	/* ---- --## #### #### */
        bug[0][41] = 0x0f80;	/* ---- #### #--- ---- */
        bug[0][43] = 0x0f00;	/* ---- #### ---- ---- */
        bug[0][45] = 0x0f00;	/* ---- #### ---- ---- */
        bug[0][47] = 0x0f80;	/* ---- #### #--- ---- */


        /* define more bugs */

        bug[1][0]  = 0x0000;	/* ---- ---- ---- ---- */
        bug[1][2]  = 0x0000;	/* ---- ---- ---- ---- */
        bug[1][4]  = 0x0000;	/* ---- ---- ---- ---- */
        bug[1][6]  = 0x0000;	/* ---- ---- ---- ---- */
        bug[1][8]  = 0x0000;	/* ---- ---- ---- ---- */
        bug[1][10] = 0x00ff;	/* ---- ---- #### #### */
        bug[1][12] = 0x01ff;	/* ---- ---# #### #### */
        bug[1][14] = 0x03cf;	/* ---- --## ##-- #### */
        bug[1][16] = 0xff80;	/* #### #### #--- ---- */
        bug[1][18] = 0xffc0;	/* #### #### ##-- ---- */
        bug[1][20] = 0xffe0;	/* #### #### ###- ---- */
        bug[1][22] = 0xfff0;	/* #### #### #### ---- */
        bug[1][24] = 0xf8f0;	/* #### #--- #### ---- */
        bug[1][26] = 0xf070;	/* #### ---- -### ---- */
        bug[1][28] = 0xf470;	/* #### -#-- -### ---- */
        bug[1][30] = 0xf070;	/* #### ---- -### ---- */
        bug[1][32] = 0xfff0;	/* #### #### #### ---- */
        bug[1][34] = 0xfff0;	/* #### #### #### ---- */
        bug[1][36] = 0xfff0;	/* #### #### #### ---- */
        bug[1][38] = 0xfff0;	/* #### #### #### ---- */
        bug[1][40] = 0x00f0;	/* ---- ---- #### ---- */
        bug[1][42] = 0x00f0;	/* ---- ---- #### ---- */
        bug[1][44] = 0x00f0;	/* ---- ---- #### ---- */
        bug[1][46] = 0x01f8;	/* ---- ---# #### #--- */

        bug[1][1]  = 0x0000;	/* ---- ---- ---- ---- */
        bug[1][3]  = 0x0000;	/* ---- ---- ---- ---- */
        bug[1][5]  = 0x0000;	/* ---- ---- ---- ---- */
        bug[1][7]  = 0x0000;	/* ---- ---- ---- ---- */
        bug[1][9]  = 0x0000;	/* ---- ---- ---- ---- */
        bug[1][11] = 0x0ff0;	/* ---- #### #### ---- */
        bug[1][13] = 0x0ff8;	/* ---- #### #### #--- */
        bug[1][15] = 0x0f3c;	/* ---- #### --## ##-- */
        bug[1][17] = 0x001f;	/* ---- ---- ---# #### */
        bug[1][19] = 0x003f;	/* ---- ---- --## #### */
        bug[1][21] = 0x007f;	/* ---- ---- -### #### */
        bug[1][23] = 0x00ff;	/* ---- ---- #### #### */
        bug[1][25] = 0x00f1;	/* ---- ---- #### ---# */
        bug[1][27] = 0x00e0;	/* ---- ---- ###- ---- */
        bug[1][29] = 0x00e2;	/* ---- ---- ###- --#- */
        bug[1][31] = 0x00e0;	/* ---- ---- ###- ---- */
        bug[1][33] = 0x00ff;	/* ---- ---- #### #### */
        bug[1][35] = 0x00ff;	/* ---- ---- #### #### */
        bug[1][37] = 0x00ff;	/* ---- ---- #### #### */
        bug[1][39] = 0x00ff;	/* ---- ---- #### #### */
        bug[1][41] = 0x00f0;	/* ---- ---- #### ---- */
        bug[1][43] = 0x00f0;	/* ---- ---- #### ---- */
        bug[1][45] = 0x00f0;	/* ---- ---- #### ---- */
        bug[1][47] = 0x01f8;	/* ---- ---# #### #--- */

        /* define base */

        base[0]  = 0xf000;	/* #### ---- ---- ---- */
        base[2]  = 0xf000;	/* #### ---- ---- ---- */
        base[4]  = 0xf000;	/* #### ---- ---- ---- */
        base[6]  = 0xf000;	/* #### ---- ---- ---- */
        base[8]  = 0xfff0;	/* #### #### #### ---- */
        base[10] = 0xfff8;	/* #### #### #### #--- */
        base[12] = 0xfffc;	/* #### #### #### ##-- */
        base[14] = 0xfffe;	/* #### #### #### ###- */
        base[16] = 0xffff;	/* #### #### #### #### */
        base[18] = 0xffff;	/* #### #### #### #### */
        base[20] = 0xffff;	/* #### #### #### #### */
        base[22] = 0xffff;	/* #### #### #### #### */
        base[24] = 0xffff;	/* #### #### #### #### */
        base[26] = 0xffff;	/* #### #### #### #### */
        base[28] = 0x0000;	/* ---- ---- ---- ---- */
        base[30] = 0x0000;	/* ---- ---- ---- ---- */

        base[1]  = 0x0000;	/* ---- ---- ---- ---- */
        base[3]  = 0x0000;	/* ---- ---- ---- ---- */
        base[5]  = 0x0000;	/* ---- ---- ---- ---- */
        base[7]  = 0x0000;	/* ---- ---- ---- ---- */
        base[9]  = 0x00ff;	/* ---- ---- #### #### */
        base[11] = 0x01ff;	/* ---- ---# #### #### */
        base[13] = 0x03ff;	/* ---- --## #### #### */
        base[15] = 0x07ff;	/* ---- -### #### #### */
        base[17] = 0x0fff;	/* ---- #### #### #### */
        base[19] = 0x0fff;	/* ---- #### #### #### */
        base[21] = 0x0fff;	/* ---- #### #### #### */
        base[23] = 0x0fff;	/* ---- #### #### #### */
        base[25] = 0x0fff;	/* ---- #### #### #### */
        base[27] = 0x0fff;	/* ---- #### #### #### */
        base[29] = 0x0000;	/* ---- ---- ---- ---- */
        base[31] = 0x0000;	/* ---- ---- ---- ---- */

        /* define shelter */
        
        shelter[0]  = 0xff00;	/* #### #### ---- ---- */
        shelter[3]  = 0xff80;	/* #### #### #--- ---- */
        shelter[6]  = 0xffc0;	/* #### #### ##-- ---- */
        shelter[9]  = 0xffe0;	/* #### #### ###- ---- */
        shelter[12] = 0xfff0;	/* #### #### #### ---- */
        shelter[15] = 0xfff8;	/* #### #### #### #--- */
        shelter[18] = 0xfffc;	/* #### #### #### ##-- */
        shelter[21] = 0xfffe;	/* #### #### #### ###- */
        shelter[24] = 0xffff;	/* #### #### #### #### */
        shelter[27] = 0xffff;	/* #### #### #### #### */
        shelter[30] = 0xffff;	/* #### #### #### #### */
        shelter[33] = 0xffff;	/* #### #### #### #### */
        shelter[36] = 0xffff;	/* #### #### #### #### */
        shelter[39] = 0xffff;	/* #### #### #### #### */
        shelter[42] = 0xffff;	/* #### #### #### #### */
        shelter[45] = 0xffff;	/* #### #### #### #### */
        shelter[48] = 0xffff;	/* #### #### #### #### */
        shelter[51] = 0xffff;	/* #### #### #### #### */
        shelter[54] = 0xffff;	/* #### #### #### #### */
        shelter[57] = 0xffff;	/* #### #### #### #### */
        shelter[60] = 0xffff;	/* #### #### #### #### */
        shelter[63] = 0xffff;	/* #### #### #### #### */
        shelter[66] = 0xffff;	/* #### #### #### #### */
        shelter[69] = 0xffff;	/* #### #### #### #### */
        shelter[72] = 0x00ff;	/* ---- ---- #### #### */
        shelter[75] = 0x00ff;	/* ---- ---- #### #### */
        shelter[78] = 0x00ff;	/* ---- ---- #### #### */
        shelter[81] = 0x00ff;	/* ---- ---- #### #### */
        shelter[84] = 0x00ff;	/* ---- ---- #### #### */
        shelter[87] = 0x00ff;	/* ---- ---- #### #### */
        shelter[90] = 0x00ff;	/* ---- ---- #### #### */
        shelter[93] = 0x00ff;	/* ---- ---- #### #### */

        shelter[1]  = 0xffff;	/* #### #### #### #### */
        shelter[4]  = 0xffff;	/* #### #### #### #### */
        shelter[7]  = 0xffff;	/* #### #### #### #### */
        shelter[10] = 0xffff;	/* #### #### #### #### */
        shelter[13] = 0xffff;	/* #### #### #### #### */
        shelter[16] = 0xffff;	/* #### #### #### #### */
        shelter[19] = 0xffff;	/* #### #### #### #### */
        shelter[22] = 0xffff;	/* #### #### #### #### */
        shelter[25] = 0xffff;	/* #### #### #### #### */
        shelter[28] = 0xffff;	/* #### #### #### #### */
        shelter[31] = 0xffff;	/* #### #### #### #### */
        shelter[34] = 0xffff;	/* #### #### #### #### */
        shelter[37] = 0xffff;	/* #### #### #### #### */
        shelter[40] = 0xffff;	/* #### #### #### #### */
        shelter[43] = 0xffff;	/* #### #### #### #### */
        shelter[46] = 0xffff;	/* #### #### #### #### */
        shelter[49] = 0xffff;	/* #### #### #### #### */
        shelter[52] = 0xffff;	/* #### #### #### #### */
        shelter[55] = 0xffff;	/* #### #### #### #### */
        shelter[58] = 0xffff;	/* #### #### #### #### */
        shelter[61] = 0xffff;	/* #### #### #### #### */
        shelter[64] = 0xffff;	/* #### #### #### #### */
        shelter[67] = 0xffff;	/* #### #### #### #### */
        shelter[70] = 0xffff;	/* #### #### #### #### */
        shelter[73] = 0x0000;	/* ---- ---- ---- ---- */
        shelter[76] = 0x0000;	/* ---- ---- ---- ---- */
        shelter[79] = 0x0000;	/* ---- ---- ---- ---- */
        shelter[82] = 0x0000;	/* ---- ---- ---- ---- */
        shelter[85] = 0x0000;	/* ---- ---- ---- ---- */
        shelter[88] = 0x0000;	/* ---- ---- ---- ---- */
        shelter[91] = 0x0000;	/* ---- ---- ---- ---- */
        shelter[94] = 0x0000;	/* ---- ---- ---- ---- */

        shelter[2]  = 0x00ff;	/* ---- ---- #### #### */
        shelter[5]  = 0x01ff;	/* ---- ---# #### #### */
        shelter[8]  = 0x03ff;	/* ---- --## #### #### */
        shelter[11] = 0x07ff;	/* ---- -### #### #### */
        shelter[14] = 0x0fff;	/* ---- #### #### #### */
        shelter[17] = 0x1fff;	/* ---# #### #### #### */
        shelter[20] = 0x3fff;	/* --## #### #### #### */
        shelter[23] = 0x7fff;	/* -### #### #### #### */
        shelter[26] = 0xffff;	/* #### #### #### #### */
        shelter[29] = 0xffff;	/* #### #### #### #### */
        shelter[32] = 0xffff;	/* #### #### #### #### */
        shelter[35] = 0xffff;	/* #### #### #### #### */
        shelter[38] = 0xffff;	/* #### #### #### #### */
        shelter[41] = 0xffff;	/* #### #### #### #### */
        shelter[44] = 0xffff;	/* #### #### #### #### */
        shelter[47] = 0xffff;	/* #### #### #### #### */
        shelter[50] = 0xffff;	/* #### #### #### #### */
        shelter[53] = 0xffff;	/* #### #### #### #### */
        shelter[56] = 0xffff;	/* #### #### #### #### */
        shelter[59] = 0xffff;	/* #### #### #### #### */
        shelter[62] = 0xffff;	/* #### #### #### #### */
        shelter[65] = 0xffff;	/* #### #### #### #### */
        shelter[68] = 0xffff;	/* #### #### #### #### */
        shelter[71] = 0xffff;	/* #### #### #### #### */
        shelter[74] = 0xff00;	/* #### #### ---- ---- */
        shelter[77] = 0xff00;	/* #### #### ---- ---- */
        shelter[80] = 0xff00;	/* #### #### ---- ---- */
        shelter[83] = 0xff00;	/* #### #### ---- ---- */
        shelter[86] = 0xff00;	/* #### #### ---- ---- */
        shelter[89] = 0xff00;	/* #### #### ---- ---- */
        shelter[92] = 0xff00;	/* #### #### ---- ---- */
        shelter[95] = 0xff00;	/* #### #### ---- ---- */

        /* define UFO */

        ufo[0]  = 0xfff0;	/* #### #### #### ---- */
        ufo[2]  = 0xfff8;	/* #### #### #### #--- */
        ufo[4]  = 0xfffc;	/* #### #### #### ##-- */
        ufo[6]  = 0xfffe;	/* #### #### #### ###- */
        ufo[8]  = 0xffff;	/* #### #### #### #### */
        ufo[10] = 0xffff;	/* #### #### #### #### */
        ufo[12] = 0xffff;	/* #### #### #### #### */
        ufo[14] = 0xffff;	/* #### #### #### #### */
        ufo[16] = 0x0f0f;	/* ---- #### ---- #### */
        ufo[18] = 0x0f0f;	/* ---- #### ---- #### */
        ufo[20] = 0x0f0f;	/* ---- #### ---- #### */
        ufo[22] = 0x0f0f;	/* ---- #### ---- #### */
        ufo[24] = 0xffff;	/* #### #### #### #### */
        ufo[26] = 0xffff;	/* #### #### #### #### */
        ufo[28] = 0xffff;	/* #### #### #### #### */
        ufo[30] = 0xffff;	/* #### #### #### #### */
	ufo[32] = 0xfffe;	/* #### #### #### ###- */
	ufo[34] = 0xfffc;	/* #### #### #### ##-- */
	ufo[36] = 0xfff8;	/* #### #### #### #--- */
	ufo[38] = 0xfff0;	/* #### #### #### ---- */
	ufo[40] = 0x0000;	/* ---- ---- ---- ---- */
	ufo[42] = 0x0000;	/* ---- ---- ---- ---- */
	ufo[44] = 0x0000;	/* ---- ---- ---- ---- */
	ufo[46] = 0x0000;	/* ---- ---- ---- ---- */

        ufo[1]  = 0x00ff;	/* ---- ---- #### #### */
        ufo[3]  = 0x01ff;	/* ---- ---# #### #### */
        ufo[5]  = 0x03ff;	/* ---- --## #### #### */
        ufo[7]  = 0x07ff;	/* ---- -### #### #### */
        ufo[9]  = 0x0fff;	/* ---- #### #### #### */
        ufo[11] = 0x0fff;	/* ---- #### #### #### */
        ufo[13] = 0x0fff;	/* ---- #### #### #### */
        ufo[15] = 0x0fff;	/* ---- #### #### #### */
        ufo[17] = 0x0f0f;	/* ---- #### ---- #### */
        ufo[19] = 0x0f0f;	/* ---- #### ---- #### */
        ufo[21] = 0x0f0f;	/* ---- #### ---- #### */
        ufo[23] = 0x0f0f;	/* ---- #### ---- #### */
	ufo[25] = 0x0fff;	/* ---- #### #### #### */
	ufo[27] = 0x0fff;	/* ---- #### #### #### */
	ufo[29] = 0x0fff;	/* ---- #### #### #### */
	ufo[31] = 0x0fff;	/* ---- #### #### #### */
	ufo[33] = 0x07ff;	/* ---- -### #### #### */
	ufo[35] = 0x03ff;	/* ---- --## #### #### */
	ufo[37] = 0x01ff;	/* ---- ---# #### #### */
	ufo[39] = 0x00ff;	/* ---- ---- #### #### */
	ufo[41] = 0x0000;	/* ---- ---- ---- ---- */
	ufo[43] = 0x0000;	/* ---- ---- ---- ---- */
	ufo[45] = 0x0000;	/* ---- ---- ---- ---- */
	ufo[47] = 0x0000;	/* ---- ---- ---- ---- */
	
	/* define shot */

	shot[1] = shot[2] = shot[3] = shot[4] = 0x0007;
	shot[5] = shot[6] = shot[7] = shot[8] = 0x0007;
	shot[9] = shot[10] = shot[11] = shot[12] = 0x0007;
	shot[13] = shot[14] = shot[15] = shot[0] = 0x0007;

	/* define explosion */

	bang[0] = bang[2] = bang[4] = bang[6] = 0xffff;
	bang[1] = bang[3] = bang[5] = bang[7] = 0xffff;
	bang[8] = bang[10] = bang[12] = bang[14] = 0xffff;
	bang[9] = bang[11] = bang[13] = bang[15] = 0xffff;
	bang[16] = bang[18] = bang[20] = bang[22] = 0xffff;
	bang[17] = bang[19] = bang[21] = bang[23] = 0xffff;
	bang[24] = bang[26] = bang[28] = bang[30] = 0xffff;
	bang[25] = bang[27] = bang[29] = bang[31] = 0xffff;
	bang[32] = bang[34] = bang[36] = bang[38] = 0xffff;
	bang[33] = bang[35] = bang[37] = bang[39] = 0xffff;
	bang[40] = bang[42] = bang[44] = bang[46] = 0xffff;
	bang[41] = bang[43] = bang[45] = bang[47] = 0xffff;
}
