#sccs	"@(#)uts/kern/sys:tune.h	1.4"

#include <sys/types.h>
#ifndef tune_h
#define tune_h
struct tunable {
	ushort	nbuf;
	ushort	ninode;
	ushort	nfile;
	ushort	nproc;
	ushort	ntext;
	ushort	nclist;
	ushort	npbuf;
	ushort	ncall;
};
extern struct tunable tulo, tuhi, deftuhi;


#define	NBUFMIN	25
#define	NBUFMAX	100
#define	NINODEMIN	80
#define	NINODEMAX	400
#define	NFILEMIN	80
#define	NFILEMAX	300
#define	NCALLMIN	16
#define	NCALLMAX	32
#define	NPROCMIN	30
#define	NPROCMAX	100
#define	NTEXTMIN	24
#define	NTEXTMAX	75
#define	NCLISTMIN	32
#define	NCLISTMAX	150
#define	NPBUFMIN	4
#define	NPBUFMAX	16

#endif tune_h
