#include "rocks.h"

#define xtopixmask(x)	(dpixmask[((x) % 16)])

static unsigned short	dpixmask[16] =
{
	0x0001, 0x0002,	0x0004,	0x0008,	
	0x0010, 0x0020,	0x0040,	0x0080,	
	0x0100, 0x0200,	0x0400,	0x0800,
	0x1000, 0x2000,	0x4000, 0x8000
};


void point(x,y)
int x,y;
{
	unsigned short	bitmask;
	int 		address;


	/* Determine Address & Bit Mask For This Point */

	address = y * 45; 
	address += (int)(x / 16);

	bitmask = xtopixmask(x);

	screen[address] ^= bitmask;
}
