/**********************************************************\
* Rocks : a bit-mapped arcade game for the AT&T UNIX PC.   *
*                                                          *
* By : Hans Jespersen                                      *
*                                                          *
\**********************************************************/

#include "rocks.h"

shoot()
{
	if( nshots < MAXSHOTS - 1 ) {
		nshots++;
		shotlist[nshots].size = RANGE;
		switch ( direction ){
			case 0:	shotlist[nshots].x = myship.x + .5 * SHIP_WIDTH;
				shotlist[nshots].y = myship.y; 
				shotlist[nshots].xdelta = 0; 
				shotlist[nshots].ydelta = -1 * SHOTINC; 
				break;
			case 1:	shotlist[nshots].x = myship.x + SHIP_WIDTH;
				shotlist[nshots].y = myship.y; 
				shotlist[nshots].xdelta = SHOTINC; 
				shotlist[nshots].ydelta = -1 * SHOTINC; 
				break;
			case 2:	shotlist[nshots].x = myship.x + SHIP_WIDTH;
				shotlist[nshots].y = myship.y + .5 * SHIP_HEIGHT -2; 
				shotlist[nshots].xdelta = 2 * SHOTINC; 
				shotlist[nshots].ydelta = 0; 
				break;
			case 3:	shotlist[nshots].x = myship.x + SHIP_WIDTH;
				shotlist[nshots].y = myship.y + SHIP_HEIGHT -3; 
				shotlist[nshots].xdelta = SHOTINC; 
				shotlist[nshots].ydelta = SHOTINC; 
				break;
			case 4:	shotlist[nshots].x = myship.x + .5 * SHIP_WIDTH;
				shotlist[nshots].y = myship.y + SHIP_HEIGHT; 
				shotlist[nshots].xdelta = 0; 
				shotlist[nshots].ydelta = SHOTINC;
				break;
			case 5:	shotlist[nshots].x = myship.x;
				shotlist[nshots].y = myship.y + SHIP_HEIGHT -3; 
				shotlist[nshots].xdelta = -1 * SHOTINC; 
				shotlist[nshots].ydelta = SHOTINC; 
				break;
			case 6:	shotlist[nshots].x = myship.x;
				shotlist[nshots].y = myship.y + .5*SHIP_HEIGHT -2; 
				shotlist[nshots].xdelta = -2 * SHOTINC; 
				shotlist[nshots].ydelta = 0; 
				break;
			case 7:	shotlist[nshots].x = myship.x;
				shotlist[nshots].y = myship.y; 
				shotlist[nshots].xdelta = -1 * SHOTINC; 
				shotlist[nshots].ydelta = -1 * SHOTINC; 
				break;
		}
	}
}
